***********************************************************
*** In this do file we document the effect of age on health care utilitzation using the MEPS data
*** WE cite the estimate of $92.5 in the robustness check section
***********************************************************

clear

set more off


***** we load a prepared databases that is compsoed from raw MEPS data. Please contact the authors for details on this preparation. 

use Data\MEPS\datameps.dta

*** already inflation adjusted
*** key variables are allxp (spending) and agex (age)

sort year

**** 5-year age bandwidths


keep if agex>=18 & agex<65

kernreg allxp agex , bwidth(3) kercode(3) npoint(47) gen(mhvar gridvar) nograph

keep mhvar gridvar

keep if mhvar!=.

*gen gridlow=gridvar-46/(14*2)

*gen gridup=gridvar+46/(14*2)

rename gridvar agex

scatter mhvar agex, xtitle("Age") ytitle("Average Health Expenditures") graphregion(color(white) ) saving(Data\Compiled\Figures\mepsexpenditures-nonpara.gph, replace)

graph combine Data\Compiled\Figures\mepsexpenditures-nonpara.gph, xsize(11) ysize(7.5) graphregion(color(white) ) imargin(vsmall)
graph export Data\Compiled\Figures\mepsexpenditures-nonpara.ps, replace logo(off) orientation(landscape) lmargin(0) tmargin(0.5)
capture ! ps2pdf Data\Compiled\Figures\mepsexpenditures-nonpara.ps Data\Compiled\Figures\mepsexpenditures-nonpara.pdf

sort agex 

save Data\Compiled\pred-mepsexpenses.dta, replace

clear

use Data\MEPS\datameps.dta 

keep if agex>=18 & agex<65
sort agex

merge m:1 agex using Data\Compiled\pred-mepsexpenses.dta

drop _merge

*** here is the coefficient:

reg mhvar agex


