clear


************************
*** list a
************************




set more off

foreach y of numlist 2004/2011 {

local datayear="Data\SNL\"+"`y'"

insheet using `datayear'a.csv

*** drop varname-row

gen count=_n

drop if count==1

drop count

*** destring variables

foreach var of varlist v5-v132 {

destring `var', replace force ignore (",") 

}


*** collapse variables

foreach num of numlist 5/36 {

gen var`num'=.

local nr=5+((`num')-5)*4

replace var`num'=v`nr' if v4=="AK"

local nr=`nr'+1

replace var`num'=v`nr' if v4=="AL"

local nr=`nr'+1

replace var`num'=v`nr' if v4=="AR"

local nr=`nr'+1

replace var`num'=v`nr' if v4=="AZ"


}

drop v5-v132

save `datayear'a.dta, replace

clear

}



************************
*** list b
************************


foreach y of numlist 2004/2011 {

local datayear="Data\SNL\"+"`y'"

insheet using `datayear'b.csv

*** drop varname-row

gen count=_n

drop if count==1

drop count

*** destring variables

foreach var of varlist v5-v132 {

destring `var', replace force ignore (",") 

}


*** collapse variables

foreach num of numlist 5/36 {

gen var`num'=.

local nr=5+((`num')-5)*4

replace var`num'=v`nr' if v4=="CO"

local nr=`nr'+1

replace var`num'=v`nr' if v4=="CT"

local nr=`nr'+1

replace var`num'=v`nr' if v4=="DC"

local nr=`nr'+1

replace var`num'=v`nr' if v4=="DE"


}

drop v5-v132

save `datayear'b.dta, replace

clear

}


************************
*** list c
************************


foreach y of numlist 2004/2011 {

local datayear="Data\SNL\"+"`y'"

insheet using `datayear'c.csv

*** drop varname-row

gen count=_n

drop if count==1

drop count

*** destring variables

foreach var of varlist v5-v132 {

destring `var', replace force ignore (",") 

}


*** collapse variables

foreach num of numlist 5/36 {

gen var`num'=.

local nr=5+((`num')-5)*4

replace var`num'=v`nr' if v4=="FL"

local nr=`nr'+1

replace var`num'=v`nr' if v4=="GA"

local nr=`nr'+1

replace var`num'=v`nr' if v4=="HI"

local nr=`nr'+1

replace var`num'=v`nr' if v4=="IA"


}

drop v5-v132

save `datayear'c.dta, replace

clear

}


************************
*** list d
************************


foreach y of numlist 2004/2011 {

local datayear="Data\SNL\"+"`y'"

insheet using `datayear'd.csv

*** drop varname-row

gen count=_n

drop if count==1

drop count

*** destring variables

foreach var of varlist v5-v132 {

destring `var', replace force ignore (",") 

}


*** collapse variables

foreach num of numlist 5/36 {

gen var`num'=.

local nr=5+((`num')-5)*4

replace var`num'=v`nr' if v4=="ID"

local nr=`nr'+1

replace var`num'=v`nr' if v4=="IL"

local nr=`nr'+1

replace var`num'=v`nr' if v4=="IN"

local nr=`nr'+1

replace var`num'=v`nr' if v4=="KS"


}

drop v5-v132

save `datayear'd.dta, replace


clear

}


************************
*** list e
************************


foreach y of numlist 2004/2011 {

local datayear="Data\SNL\"+"`y'"

insheet using `datayear'e.csv

*** drop varname-row

gen count=_n

drop if count==1

drop count

*** destring variables

foreach var of varlist v5-v132 {

destring `var', replace force ignore (",") 

}


*** collapse variables

foreach num of numlist 5/36 {

gen var`num'=.

local nr=5+((`num')-5)*4

replace var`num'=v`nr' if v4=="KY"

local nr=`nr'+1

replace var`num'=v`nr' if v4=="LA"

local nr=`nr'+1

replace var`num'=v`nr' if v4=="MA"

local nr=`nr'+1

replace var`num'=v`nr' if v4=="MD"


}

drop v5-v132

save `datayear'e.dta, replace


clear

}


*** switch 2004e-file group vs ind. variables

*** uneven must be group

use Data\SNL\2004e.dta

foreach num of numlist 5(2)35 { 

local datayear="Data\SNL\"+"`y'"

local next=`num' +1

gen vartemp`num'=var`next'

}

foreach num of numlist 6(2)36 { 

local pre=`num'-1

gen vartemp`num'=var`pre'

}


foreach num of numlist 5/36 { 

replace var`num'=vartemp`num'

drop vartemp`num'
}

save Data\SNL\2004e.dta, replace

clear


************************
*** list f
************************


foreach y of numlist 2004/2011 {

local datayear="Data\SNL\"+"`y'"

insheet using `datayear'f.csv

*** drop varname-row

gen count=_n

drop if count==1

drop count

*** destring variables

foreach var of varlist v5-v132 {

destring `var', replace force ignore (",") 

}


*** collapse variables

foreach num of numlist 5/36 {

gen var`num'=.

local nr=5+((`num')-5)*4

replace var`num'=v`nr' if v4=="ME"

local nr=`nr'+1

replace var`num'=v`nr' if v4=="MI"

local nr=`nr'+1

replace var`num'=v`nr' if v4=="MN"

local nr=`nr'+1

replace var`num'=v`nr' if v4=="MO"


}

drop v5-v132

save `datayear'f.dta, replace


clear

}


*** switch 2010f-file group vs ind. variables

*** uneven must be group

use Data\SNL\2010f.dta

foreach num of numlist 5(2)35 { 

local next=`num' +1

gen vartemp`num'=var`next'

}

foreach num of numlist 6(2)36 { 

local pre=`num'-1

gen vartemp`num'=var`pre'

}


foreach num of numlist 5/36 { 

replace var`num'=vartemp`num'

drop vartemp`num'
}

save Data\SNL\2010f.dta, replace


clear


************************
*** list g
************************


foreach y of numlist 2004/2011 {

local datayear="Data\SNL\"+"`y'"

insheet using `datayear'g.csv

*** drop varname-row

gen count=_n

drop if count==1

drop count

*** destring variables

foreach var of varlist v5-v132 {

destring `var', replace force ignore (",") 

}


*** collapse variables

foreach num of numlist 5/36 {

gen var`num'=.

local nr=5+((`num')-5)*4

replace var`num'=v`nr' if v4=="MS"

local nr=`nr'+1

replace var`num'=v`nr' if v4=="MT"

local nr=`nr'+1

replace var`num'=v`nr' if v4=="NC"

local nr=`nr'+1

replace var`num'=v`nr' if v4=="ND"


}

drop v5-v132

save `datayear'g.dta, replace


clear

}


************************
*** list h
************************


foreach y of numlist 2004/2011 {

local datayear="Data\SNL\"+"`y'"

insheet using `datayear'h.csv

*** drop varname-row

gen count=_n

drop if count==1

drop count

*** destring variables

foreach var of varlist v5-v132 {

destring `var', replace force ignore (",") 

}


*** collapse variables

foreach num of numlist 5/36 {

gen var`num'=.

local nr=5+((`num')-5)*4

replace var`num'=v`nr' if v4=="NE"

local nr=`nr'+1

replace var`num'=v`nr' if v4=="NH"

local nr=`nr'+1

replace var`num'=v`nr' if v4=="NJ"

local nr=`nr'+1

replace var`num'=v`nr' if v4=="NM"


}

drop v5-v132

save `datayear'h.dta, replace


clear

}


************************
*** list i
************************


foreach y of numlist 2004/2011 {

local datayear="Data\SNL\"+"`y'"

insheet using `datayear'i.csv

*** drop varname-row

gen count=_n

drop if count==1

drop count

*** destring variables

foreach var of varlist v5-v132 {

destring `var', replace force ignore (",") 

}


*** collapse variables

foreach num of numlist 5/36 {

gen var`num'=.

local nr=5+((`num')-5)*4

replace var`num'=v`nr' if v4=="NV"

local nr=`nr'+1

replace var`num'=v`nr' if v4=="NY"

local nr=`nr'+1

replace var`num'=v`nr' if v4=="OH"

local nr=`nr'+1

replace var`num'=v`nr' if v4=="OK"


}

drop v5-v132

save `datayear'i.dta, replace


clear

}




